summaryrefslogtreecommitdiffstats
path: root/.ci/scripts/format/script.sh
diff options
context:
space:
mode:
authorZach Hilman <zachhilman@gmail.com>2019-07-14 03:34:40 +0200
committerZach Hilman <zachhilman@gmail.com>2019-07-14 03:34:40 +0200
commitbbc5b5d62dfd66e623494bfc67fc469eae6551c6 (patch)
treec0d52e7abea8f65b33e1016a31495205eb8b8c1c /.ci/scripts/format/script.sh
parentMerge pull request #2609 from FernandoS27/new-scan (diff)
downloadyuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.gz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.bz2
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.lz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.xz
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.tar.zst
yuzu-bbc5b5d62dfd66e623494bfc67fc469eae6551c6.zip
Diffstat (limited to '.ci/scripts/format/script.sh')
-rw-r--r--.ci/scripts/format/script.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/.ci/scripts/format/script.sh b/.ci/scripts/format/script.sh
new file mode 100644
index 000000000..5ab828d5e
--- /dev/null
+++ b/.ci/scripts/format/script.sh
@@ -0,0 +1,37 @@
+#!/bin/bash -ex
+
+if grep -nrI '\s$' src *.yml *.txt *.md Doxyfile .gitignore .gitmodules .ci* dist/*.desktop \
+ dist/*.svg dist/*.xml; then
+ echo Trailing whitespace found, aborting
+ exit 1
+fi
+
+# Default clang-format points to default 3.5 version one
+CLANG_FORMAT=clang-format-6.0
+$CLANG_FORMAT --version
+
+if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then
+ # Get list of every file modified in this pull request
+ files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$' || true)"
+else
+ # Check everything for branch pushes
+ files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')"
+fi
+
+# Turn off tracing for this because it's too verbose
+set +x
+
+for f in $files_to_lint; do
+ d=$(diff -u "$f" <($CLANG_FORMAT "$f") || true)
+ if ! [ -z "$d" ]; then
+ echo "!!! $f not compliant to coding style, here is the fix:"
+ echo "$d"
+ fail=1
+ fi
+done
+
+set -x
+
+if [ "$fail" = 1 ]; then
+ exit 1
+fi